Bug 232101 - Get rid of -fstack-protector on alpha arch
Get rid of -fstack-protector on alpha arch
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config (Show other bugs)
12
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
bzcl34nup
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-13 17:14 EDT by Oliver Falk
Modified: 2010-12-05 02:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:16:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dont use -fstack-protector on alpha, its unsupported. (582 bytes, patch)
2007-06-24 07:51 EDT, Balint Cristian
no flags Details | Diff

  None (edit)
Description Oliver Falk 2007-03-13 17:14:19 EDT
Description of problem:
Elfutils sets warnings as errors, and since gcc spots a warning about
-fstack-protector on alpha, elfutils breaks in the buildsystem.

Version-Release number of selected component (if applicable): 8.0.45

How reproducible: Try to rebuild elfutils with mock on alpha arch.

I'm not sure how(/if) we can ifarch the -fstck-protector out on alpha architecture.
Comment 1 Balint Cristian 2007-03-14 07:11:01 EDT
we can get rid in redhat-rpm-config of -fstck-protector on alpha rather than 
touch elfutils.
Comment 2 Oliver Falk 2007-04-13 10:05:42 EDT
Jon. An idea of how we can mange this?
Comment 3 Oliver Falk 2007-04-27 06:39:06 EDT
*knock* *knock*
Comment 4 Balint Cristian 2007-06-24 07:51:39 EDT
Created attachment 157708 [details]
dont use -fstack-protector on alpha, its unsupported.
Comment 5 Balint Cristian 2007-06-24 07:52:43 EDT
Patch attached, problem still persist in F8.
Comment 6 Oliver Falk 2007-06-25 04:24:21 EDT
OK.... A quick'n'dirty solution:
* Make the package arch related, no longer use noarch
* Then use patches for the different archs using %ifarch

I like this solution as other arches (arm, ppc, sparc, parisc and whatever will
come) can then also add their patches...

Jon. Comment?
Comment 7 Balint Cristian 2007-06-25 07:21:57 EDT
Hello Jon !

I dont know if others arches like e.g sparc has it or not, i can say on our
alpha project that patch makes sense a lot and is properly tested out.
  I know is small patch but officialy gcc dont implement -fstack-protector
on alpha right now.

 Me and my team (alphacore) struggled over the year on alpha only, now started
these days on hppa too , i cannot comment over arches i dont know. Right now i 
struggle multilib compile gcc on hppa but soon i will submit small  for 
rpm-config for hppa too since there is olso missusage of flags, but i want 
first order to make sure i did the right thing.

As of sparc/sparc64 i dont know Tom can say more over it, but he sould submitt 
separate patch out of his auroralinux.org experience.

Is it OK for alpha one for you ?
Comment 8 Bug Zapper 2008-04-03 19:41:00 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Oliver Falk 2008-04-04 03:31:46 EDT
Well. I want this fixed, but nobody answers this bug!!!  
Comment 10 Jon Masters 2008-04-15 20:26:34 EDT
I'll look at it again.
Comment 11 Jon Masters 2008-05-06 18:52:30 EDT
We can't change this package from noarch for the time being, just for this one
fix. Also, I don't like the patch posted because it sets global flags for all
arches. Do you have a better suggestion for alpha? If not, I'll try something
and send you a package to test.
Comment 12 Oliver Falk 2008-05-07 15:51:40 EDT
Jon, I don't have any good suggestion on how to fix it. Of course we cannot
change the global cflags for all archs, it was just a hint... If you have an
idea, it's welcome. I think -fstack-protector isn't broken in later gcc
versions, but nobody can be sure. :-)
Comment 13 Bug Zapper 2008-05-13 22:40:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-06-09 18:29:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Oliver Falk 2009-06-10 02:44:04 EDT
Still no ideas?
Comment 16 Bug Zapper 2009-11-16 02:54:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Jon Masters 2009-12-01 00:55:02 EST
I honestly haven't had time to think about this in a while. I'd be willing to talk about it on IRC and figure something out before we go yet another release though - when are you online?
Comment 19 Oliver Falk 2010-01-11 03:03:47 EST
Jon, I'm usually online from 9:00 to 17:00 (GMT+1).
Comment 20 Bug Zapper 2010-11-04 08:12:01 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Bug Zapper 2010-12-05 02:16:54 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.